Bug 85731 - New ports: textproc/openvanilla-framework textproc/scim-openvanilla chinese/openvanilla-modules SCIM OpenVanilla input method framework and modules
Summary: New ports: textproc/openvanilla-framework textproc/scim-openvanilla chinese/o...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-05 09:10 UTC by Li-Lun Wang
Modified: 2006-01-21 06:13 UTC (History)
0 users

See Also:


Attachments
file.shar (16.07 KB, text/plain)
2005-09-05 09:10 UTC, Li-Lun Wang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Lun Wang 2005-09-05 09:10:18 UTC
OpenVanilla (OV) is an input method (IM)/output filter (OF) framework
designed for better end-user text processing experiences.

scim-openvanilla is an OpenVanilla loader as a SCIM IM engine that
enables the input method modules of OpenVanilla to be used through
SCIM. Some Chinese and a Tibetan input method modules are also included.

I am not sure whether openvanilla-modules should go to the chinese category
because some of the modules in openvanilla-modules, e.g., Tibetan, are
not actually Chinese. It would be better if we had a inputmethod category,
like NetBSD does.
Comment 1 Cheng-Lung Sung freebsd_committer 2005-09-05 09:35:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Grab.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2005-11-26 05:23:57 UTC
State Changed
From-To: open->feedback

Has there been any progress on this one?
Comment 3 Cheng-Lung Sung freebsd_committer 2005-12-07 02:07:08 UTC
State Changed
From-To: feedback->analyzed

Working on it.
Comment 4 Cheng-Lung Sung freebsd_committer 2006-01-21 06:13:04 UTC
State Changed
From-To: analyzed->closed

Three new ports committed. Thank you. 
Also note that I put openvanilla-modules into textproc/.